Description

Supportanfrage

Wenn man eine fertige Konfig hat, diese z.B. auf einen anderen Rechner mit anderen Pfaden zu Toolboxen zieht, ist es so, dass der

Editor die Pfadänderung nicht direkt mitbekommt (Warnsymbol innerhalb der blauen Box des Plugins), obwohl man Plugins schon

neu added hat. Hier muss man aus dem Component Tree das Plugin nochmal per Drag'n'Drop in den Editorbereich reinziehen,

damit das Warnsymbol auch beim schon vorhandenen Plugin verschwindet.

Könnte man das irgendwie in einer zukünftigen ADTF-Version umsetzen, dass beim neu adden bzw. setzen von Pfaden automatisch

die einzelnen Plugins im Editor aktualisiert werden?

Lösung

Du musst an der Stelle zwischen plugindescription Pfade (also dein Pool an adtfplugins) sowie die verwendeten Session Pfade (im

System File) unterscheiden.

Die Warnings kannst du bereinigen, in dem du im System Editor ein Clean Up bzw. Remove all / look up machst, sowohl für Debug

als auch Release, dann werden die Pfade anhand deiner Settings aufgelöst.

Ein Drag & Drop ist demnach nicht nötig, ist auch nicht Intention den Graph zu erneuern sondern dessen Umgebung (System).

Mit ADTF 3.9 hat man allerdings die adtfenvironments eingeführt, d.h. du definierst ein adtfenvironment für deine Plugins/Toolboxen

inkl. dessen Verzeichnis, was ein Makro bereitbestellt.

Das nimmt der CE zum Auflösen her und kann sowohl von Launcher als auch auf anderen Platformen verwendet werden.

Entscheidend ist immer eine Defintion des lokalen adtfenvironemt, siehe 

https://support.digitalwerk.net/adtf/v3/guides/set_up_adtfenvironment.html

History

#1 - 2020-12-14 18:13 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::CE

Hallo Michael,

du musst an der Stelle zwischen plugindescription Pfade (also dein Pool an adtfplugins) sowie die verwendeten Session Pfade (im System File)

unterscheiden.

Die Warnings kannst du bereinigen, in dem du im System Editor ein Clean Up bzw. Remove all / look up machst, sowohl für Debug als auch Release,

dann werden die Pfade anhand deiner Settings aufgelöst.

Ein Drag & Drop ist demnach nicht nötig, ist auch nicht Intention den Graph zu erneuern sondern dessen Umgebung (System).

Mit ADTF 3.9 hat man allerdings die adtfenvironments eingeführt, d.h. du definierst ein adtfenvironment für deine Plugins/Toolboxen inkl. dessen

Verzeichnis, was ein Makro bereitbestellt.

Das nimmt der CE zum Auflösen her und kann sowohl von Launcher als auch auf anderen Platformen verwendet werden.

Entscheidend ist immer eine Defintion des lokalen adtfenvironemt, siehe https://support.digitalwerk.net/adtf/v3/guides/set_up_adtfenvironment.html

#2 - 2020-12-15 08:59 - hidden

Alles klar, danke für die Infos!
https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_9_0.html
- Project changed from 11 to Public Support

- Subject changed from Bei Pfadänderungen von Toolboxen werden Plugins im Editor nicht korrekt gefunden to Adapt paths in system file to find

adtfplugins on different machine

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#4 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
